# TokenIterator

This class provides an essay way to treat the document as a stream of tokens, and provides methods to iterate over these tokens.

### Constructors

- - new TokenIterator(EditSession session, Number initialRow, Number initialColumn)

Creates a new token iterator object. The inital token index is set to the provided row and column coordinates.

Creates a new token iterator object. The inital token index is set to the provided row and column coordinates.

#### Arguments

session | EditSession | Required. The session to associate with
initialRow | Number | Required. The row to start the tokenizing at
initialColumn | Number | Required. The column to start the tokenizing at

### Methods

- - TokenIterator.getCurrentToken()
  - - String

Returns the current tokenized string.

Returns the current tokenized string.

- - TokenIterator.getCurrentTokenColumn()
  - - Number

Returns the current column.

Returns the current column.

- - TokenIterator.getCurrentTokenRow()
  - - Number

Returns the current row.

Returns the current row.

- - TokenIterator.stepBackward()
  - - String

Tokenizes all the items from the current point to the row prior in the document.

Tokenizes all the items from the current point to the row prior in the document.

- - TokenIterator.stepForward()
  - - String

Tokenizes all the items from the current point until the next row in the document. If the current point is at the end of the file, this function returns `null`. Otherwise, it returns the tokenized string.

Tokenizes all the items from the current point until the next row in the document. If the current point is at the end of the file, this function returns `null`. Otherwise, it returns the tokenized string.